## golang-github-jdkato-prose 1.1.1

=== Makefile ===
BASE_DIR=$(shell echo $$GOPATH)/src/github.com/jdkato/prose
BUILD_DIR=./builds

LDFLAGS=-ldflags "-s -w"

.PHONY: clean test lint ci cross install bump model setup

all: build

build:
	go build ${LDFLAGS} -o bin/prose ./cmd/prose

build-win:
	go build ${LDFLAGS} -o bin/prose.exe ./cmd/prose

bench:
	go test -bench=. ./tokenize ./transform ./summarize ./tag ./chunk

test-tokenize:
	go test -v ./tokenize

test-transform:
	go test -v ./transform

test-summarize:
	go test -v ./summarize

test-chunk:
	go test -v ./chunk

test-tag:
	go test -v ./tag

test: test-tokenize test-transform test-summarize test-chunk test-tag

ci: test lint

lint:
	gometalinter --vendor --disable-all \
		--enable=deadcode \
		--enable=ineffassign \
		--enable=gosimple \
		--enable=staticcheck \
		--enable=gofmt \
		--enable=goimports \
		--enable=misspell \
		--enable=errcheck \
		--enable=vet \
		--enable=vetshadow \
		--deadline=1m \
		./tokenize ./tag ./transform ./summarize ./chunk

setup:
	go get -u github.com/shogo82148/go-shuffle
	go get -u github.com/jdkato/syllables
	go get -u github.com/montanaflynn/stats
	go get -u gopkg.in/neurosnap/sentences.v1/english
	go get -u github.com/stretchr/testify/assert
	go get -u github.com/urfave/cli
	go get -u github.com/alecthomas/gometalinter
	go get -u github.com/jteeuwen/go-bindata/...
	go-bindata -ignore=\\.DS_Store -pkg="model" -o internal/model/model.go internal/model/
	gometalinter --install

model:
	go-bindata -ignore=\\.DS_Store -pkg="model" -o internal/model/model.go internal/model/*.gob

=== requirements.txt ===
nltk==3.2.2
tabulate==0.7.7
newspaper3k>=0.2.2

## golang-github-jdkato-prose 0.0~git20170806.0.a678fc7

=== debian/changelog ===
golang-github-jdkato-prose (0.0~git20170806.0.a678fc7-1) unstable; urgency=medium

  * Initial release (Closes: #871474)
  * Skip building tag/aptag*.go, chunk/chunk_test.go and cmd/prose
    to workaround a missing golang-github-shogo82148-go-shuffle-dev
    which is currently licenseless.
  * {Build-,}Depend on golang-github-shogo82148-go-shuffle-dev
    and resume full build and test.
    Thanks to Ichinose Shogo (@shogo82148) for fixing
    the missing license issue so promptly.
  * Add missing copyright attributions in debian/copyright.
    (Thanks, Luca!)

 -- Anthony Fok <foka@debian.org>  Mon, 04 Sep 2017 17:13:38 -0600

=== debian/control ===
Source: golang-github-jdkato-prose
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-jdkato-syllables-dev,
               golang-github-montanaflynn-stats-dev,
               golang-github-shogo82148-go-shuffle-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-gopkg-neurosnap-sentences.v1-dev
Standards-Version: 4.0.0
Homepage: https://github.com/jdkato/prose
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jdkato-prose.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jdkato-prose.git
XS-Go-Import-Path: github.com/jdkato/prose
Testsuite: autopkgtest-pkg-go

Package: golang-github-jdkato-prose-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-jdkato-syllables-dev,
         golang-github-montanaflynn-stats-dev,
         golang-github-shogo82148-go-shuffle-dev,
         golang-github-stretchr-testify-dev,
         golang-github-urfave-cli-dev,
         golang-gopkg-neurosnap-sentences.v1-dev
Description: Golang library for text processing
 prose is Go library for text (primarily English at the moment)
 processing that supports tokenization, part-of-speech tagging,
 named-entity extraction, and more. The library's functionality is
 split into subpackages designed for modular use.  See the documentation
 at https://godoc.org/github.com/jdkato/prose for more information.

## golang-github-jdkato-prose 1.1.0+git20171031.e27abfd

=== debian/changelog ===
golang-github-jdkato-prose (1.1.0+git20171031.e27abfd-2) unstable; urgency=medium

  * Remove dependency on golang-github-jdkato-syllables-dev
    which was no longer used in summarize/syllables_test.go since v1.0.0.

 -- Anthony Fok <foka@debian.org>  Thu, 08 Mar 2018 03:10:42 -0700

golang-github-jdkato-prose (1.1.0+git20171031.e27abfd-1) unstable; urgency=medium

  * New upstream version
  * Apply "cme fix dpkg" to debian/control,
    bumping Standards-Version to 4.1.3,
    setting Priority to optional, and
    adding Testsuite: autopkgtest-pkg-go, etc.
  * Use debhelper (>= 11)

 -- Anthony Fok <foka@debian.org>  Wed, 07 Mar 2018 20:01:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,27 @@
 Source: golang-github-jdkato-prose
-Section: devel
-Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 10),
+Section: devel
+Testsuite: autopkgtest-pkg-go
+Priority: optional
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
-               golang-github-jdkato-syllables-dev,
                golang-github-montanaflynn-stats-dev,
                golang-github-shogo82148-go-shuffle-dev,
                golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-dev,
                golang-gopkg-neurosnap-sentences.v1-dev
-Standards-Version: 4.0.0
-Homepage: https://github.com/jdkato/prose
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jdkato-prose.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jdkato-prose.git
+Homepage: https://github.com/jdkato/prose
 XS-Go-Import-Path: github.com/jdkato/prose
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-jdkato-prose-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-jdkato-syllables-dev,
          golang-github-montanaflynn-stats-dev,
          golang-github-shogo82148-go-shuffle-dev,
          golang-github-stretchr-testify-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Install test fixtures
export DH_GOLANG_INSTALL_EXTRA := testdata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -- --no-binaries

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-jdkato-prose-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/jdkato/prose/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-jdkato-prose 1.1.1

=== debian/changelog ===
golang-github-jdkato-prose (1.1.1-1) unstable; urgency=medium

  [ aviau ]
  * point Vcs-* urls to salsa.debian.org

  [ Anthony Fok ]
  * New upstream version 1.1.1
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.5.0 (no change)
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add "Rules-Requires-Root: no" to debian/control
  * Simplify debian/rules with Build-Depends: dh-golang (>= 1.31~)

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 06:02:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: golang-github-jdkato-prose
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-golang,
+Build-Depends: debhelper-compat (= 12),
+               dh-golang (>= 1.31~),
                golang-any,
                golang-github-montanaflynn-stats-dev,
                golang-github-shogo82148-go-shuffle-dev,
                golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-dev,
                golang-gopkg-neurosnap-sentences.v1-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-jdkato-prose.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-jdkato-prose.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose.git
 Homepage: https://github.com/jdkato/prose
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/jdkato/prose
 
 Package: golang-github-jdkato-prose-dev

## golang-github-jdkato-prose 1.2.0

=== Makefile ===
--- 
+++ 
@@ -51,14 +51,14 @@
 		./tokenize ./tag ./transform ./summarize ./chunk
 
 setup:
-	go get -u github.com/shogo82148/go-shuffle
-	go get -u github.com/jdkato/syllables
-	go get -u github.com/montanaflynn/stats
-	go get -u gopkg.in/neurosnap/sentences.v1/english
-	go get -u github.com/stretchr/testify/assert
-	go get -u github.com/urfave/cli
-	go get -u github.com/alecthomas/gometalinter
-	go get -u github.com/jteeuwen/go-bindata/...
+	go get github.com/shogo82148/go-shuffle
+	go get github.com/jdkato/syllables
+	go get github.com/montanaflynn/stats
+	go get gopkg.in/neurosnap/sentences.v1/english
+	go get github.com/stretchr/testify/assert
+	go get github.com/urfave/cli
+	go get github.com/alecthomas/gometalinter
+	go get github.com/jteeuwen/go-bindata/...
 	go-bindata -ignore=\\.DS_Store -pkg="model" -o internal/model/model.go internal/model/
 	gometalinter --install

=== debian/changelog ===
golang-github-jdkato-prose (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor (Jelmer Vernooĳ) ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 1.2.0
  * debian/control: Update versioned dependencies as per go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Fri, 23 Oct 2020 02:05:18 -0600

=== debian/control ===
Source: golang-github-jdkato-prose
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-montanaflynn-stats-dev (>= 0.6.3),
               golang-github-shogo82148-go-shuffle-dev (>= 0.0~git20180218.27e6095),
               golang-github-stretchr-testify-dev (>= 1.6.1),
               golang-github-urfave-cli-dev (>= 1.22.4),
               golang-gopkg-neurosnap-sentences.v1-dev (>= 1.0.6)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose.git
Homepage: https://github.com/jdkato/prose
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jdkato/prose

Package: golang-github-jdkato-prose-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-montanaflynn-stats-dev (>= 0.6.3),
         golang-github-shogo82148-go-shuffle-dev (>= 0.0~git20180218.27e6095),
         golang-github-stretchr-testify-dev (>= 1.6.1),
         golang-github-urfave-cli-dev (>= 1.22.4),
         golang-gopkg-neurosnap-sentences.v1-dev (>= 1.0.6)
Description: Golang library for text processing
 prose is Go library for text (primarily English at the moment)
 processing that supports tokenization, part-of-speech tagging,
 named-entity extraction, and more. The library's functionality is
 split into subpackages designed for modular use.  See the documentation
 at https://godoc.org/github.com/jdkato/prose for more information.

## golang-github-jdkato-prose 1.2.1

=== requirements.txt ===
nltk==3.4.5
tabulate==0.7.7
newspaper3k>=0.2.2

=== debian/changelog ===
golang-github-jdkato-prose (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * debian/watch: Track v1 only to avoid fetching v2.0.0 and newer
  * Simplify packaging as upstream has dropped cmd/prose/main.go
  * Change Section from devel to golang
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Sun, 19 Sep 2021 03:17:09 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-jdkato-prose
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,9 +10,8 @@
                golang-github-montanaflynn-stats-dev (>= 0.6.3),
                golang-github-shogo82148-go-shuffle-dev (>= 0.0~git20180218.27e6095),
                golang-github-stretchr-testify-dev (>= 1.6.1),
-               golang-github-urfave-cli-dev (>= 1.22.4),
                golang-gopkg-neurosnap-sentences.v1-dev (>= 1.0.6)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-jdkato-prose.git
 Homepage: https://github.com/jdkato/prose
@@ -21,12 +20,12 @@
 
 Package: golang-github-jdkato-prose-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-montanaflynn-stats-dev (>= 0.6.3),
          golang-github-shogo82148-go-shuffle-dev (>= 0.0~git20180218.27e6095),
          golang-github-stretchr-testify-dev (>= 1.6.1),
-         golang-github-urfave-cli-dev (>= 1.22.4),
          golang-gopkg-neurosnap-sentences.v1-dev (>= 1.0.6)
 Description: Golang library for text processing
  prose is Go library for text (primarily English at the moment)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/jdkato/prose/tags .*/v?(1\.\S*)\.tar\.gz
